Skip to main content
`Ctrl`+`K`

# TSGetType

Gets the `TS` method type (as a string) that is being used to solve the ODE with the given `TS`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetType(TS ts, TSType *type)

Not Collective

## Input Parameter

- ts - The `TS`

## Output Parameter

- type - The `TSType`

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSType`, `TSSetType()`

## Level

intermediate

## Location

src/ts/interface/tsreg.c

## Examples

src/ts/tutorials/ex31.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages